Bug 1086036

Summary: Project / version language listing and inheritance issues
Product: [Retired] Zanata Reporter: Damian Jansen <djansen>
Component: Component-LogicAssignee: Alex Eng <aeng>
Status: CLOSED CURRENTRELEASE QA Contact: Zanata-QA Mailling List <zanata-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: developmentCC: dchen, zanata-bugs
Target Milestone: ---   
Target Release: 3.4   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: git-server-3.3.1-140-g0323f24 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-17 06:39:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Damian Jansen 2014-04-10 00:41:17 UTC
Description of problem:
1. The project settings languages list is not filtering the existing entries, and clears the list if one is added
2. The default language list for a version is not taken from the project

Version-Release number of selected component (if applicable):
dev

How reproducible:
Easy always

Steps to Reproduce:
1. Create a project
2. Go to settings, languages
3. Click the input and add a language that is already shown in the list


Actual results:
Language is added, all other languages are removed

Expected results:
Item should not show in the list

Additional info:

Comment 1 Alex Eng 2014-04-10 06:26:56 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/411

Comment 2 Ding-Yi Chen 2014-04-24 04:01:25 UTC
VERIFIED with Zanata 3.4.0-SNAPSHOT (git-server-3.3.1-140-g0323f24)